FROM debian:9 as build
RUN apt-get update && apt-get install -y openjdk-8-jdk-headless maven git
RUN git -C /usr/local/src clone https://github.com/signalapp/Signal-Server
WORKDIR /usr/local/src/Signal-Server
COPY signal-server-patches /tmp/signal-server-patches
RUN /tmp/signal-server-patches/apply-patches.sh
RUN mvn install -DskipTests
RUN ls -lha target

FROM debian:9
RUN apt-get update && apt-get install -y openjdk-8-jre-headless
COPY --from=build /usr/local/src/Signal-Server/target/TextSecureServer-2.02.jar /usr/share/TextSecureServer.jar
RUN useradd signal
RUN chown -R signal /usr/share/TextSecureServer.jar
USER signal
ENTRYPOINT ["java", "-jar", "/usr/share/TextSecureServer.jar"]
